#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x8D,0xDE,0x29,0xF1,0x4E,0x67,0x39,0x9C,0xAB,0x52,0xF4,0xE2,
		0x01,0x5B,0x0E,0x99,0x75,0x7E,0xE0,0x23,0x3F,0xDD,0x57,0x23,
		0x40,0x13,0x73,0xE8,0x12,0xA9,0x0D,0x82,0x6C,0x01,0x84,0x9B,
		0x76,0x73,0x22,0x80,0x2A,0xC7,0xF3,0x92,0x3A,0x80,0xB2,0x08,
		0x2F,0x21,0xF7,0x93,0xAF,0xF3,0x5C,0x92,0x11,0xB3,0x76,0x8B,
		0x20,0x77,0x20,0x3B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
